clc, clear, close all, format compact

%% Eelectric specifications
Ua = 240; %[V] armature voltage
Uf = 300; %[V] field voltage
Ra = 11.2; %[ohm] armature resistance
La = 0.1215; %[H] armature inductance
Rf = 281.3; %[ohm] field reistance
Lf = 156; %[H] field inductance
Laf = 1.976; %[H] mutual inductance

%% Mechanical specifications
J = 0.02215; % [kgm^2] total inertia
Bm = 0.002953; % viscous friction
Tf = +.5; % coulomb friction
w0 =0; % [rad/s] initial speed
TL = 0; % [Nm] torque load

%% Start simulation
DC_start = sim('DC_motor_INN_PID');
DC_start1 = sim('Inverzny_model_DC_motor_PID');
%% Select training data for Forward NN
%inputs = [ua';ua1';ua2';w1';w2']; %inputs data for NN
%targets = [w']; %outputs data for NN

%% Select training data for Inverse NN
%inputs_INN = [w';w1';w2';w3'];
%targets_INN = [ua'];

%% Create NN by NFTOOL
%nftool

%% Plot
t = w_inm.time;
w_inm1 = w_inm.signals(1).values;
w_inm2 = w_inm.signals(2).values;
plot(t,w_inm1,'k','LineWidth',1.5)
hold on
plot(t,w_inm2,'r')
ylim([-120 150])
title('Uhlov rchlos')
xlabel('t[s]')
ylabel('w[rads^-1]')
legend('w - iadana hodnota','w - vstup z inverznho modelu')
% Pozicia a velkost okna detailu
x_r = 6.8; y_r = 30; w_r = 1.6; h_r = 65;
rectangle('Position', [x_r-w_r/2, y_r-h_r/2, w_r, h_r], ...
          'EdgeColor', [0.4, 0.1, 0.4]);
% Pozicia a velkost 2. osy
x_a = 0.173; y_a = 0.71; w_a = 0.2; h_a = 0.2;
ax = axes('Units', 'Normalized', ...
          'Position', [x_a, y_a, w_a, h_a], ...
          'XTick', [], ...
          'YTick', [], ...
          'Box', 'on', ...
          'LineWidth', 1, ...
          'Color', [0.95, 0.99, 0.95]);
%plot(t,w_inm1,'k','LineWidth',1.5)
grid on
hold on
plot(t,w_inm2,'r');
axis([x_r-w_r/2, x_r+w_r/2, y_r-h_r/2, y_r+h_r/2]);
figure(2)
plot(t,w_inm1,'k','LineWidth',1.5)
hold on
%plot(t,w_inm2,'r')
ylim([-120 150])
title('Uhlov rchlos')
xlabel('t[s]')
ylabel('w[rads^-1]')
legend('w - iadana hodnota','w - regulovan veliina')
% Pozicia a velkost okna detailu
x_r = 5.3; y_r = -25; w_r = 1.7; h_r = 45;
rectangle('Position', [x_r-w_r/2, y_r-h_r/2, w_r, h_r], ...
          'EdgeColor', [0.4, 0.1, 0.4]);
% Pozicia a velkost 2. osy
x_a = 0.175; y_a = 0.71; w_a = 0.17; h_a = 0.2;
ax = axes('Units', 'Normalized', ...
          'Position', [x_a, y_a, w_a, h_a], ...
          'XTick', [], ...
          'YTick', [], ...
          'Box', 'on', ...
          'LineWidth', 1, ...
          'Color', [0.95, 0.99, 0.95]);
plot(t,w_inm1,'k','LineWidth',1.5)
grid on
hold on
plot(t,w_inm2,'r');
axis([x_r-w_r/2, x_r+w_r/2, y_r-h_r/2, y_r+h_r/2]);