clear all;
clc;

%%  Elektrick parametre
Ua = 240; %[V] armature voltage
Uf = 300; %[V] field voltage
Ra = 11.2; %[ohm] armature resistance
La = 0.1215; %[H] armature inductance
Rf = 281.3; %[ohm] field reistance
Lf = 156; %[H] field inductance
Laf = 1.976; %[H] mutual inductance

%% Mechanick parametre
J = 0.02215; % [kgm^2] total inertia
Bm = 0.002953; % viscous friction
Km = 2.1; Kb = 2.1; % Ke
T.f = 1.5; % coulomb friction
w0 =0; % [rad/s] initial speed
TL = 0; % [Nm] torque load

%% Lineranrny model DC motoru
A = [-Bm/J Km/J; -Kb/La -Ra/La];
B = [0; 1/La];
C = eye(2);
D = [0; 0];
DC_ss = ss(A, B, C, D);

%%  Lineranrny model DC motoru s posobenim poruchy
B_TL = [0 1/J; 1/La 0];
D_TL = [0 0;0 0];
DC_TL_ss = ss(A, B_TL, C, D_TL);

%% Navrh regulatora rychlosti
n = size(B, 1); % n rad riadenej sustavy
m = 1; % m pocet vystupnich velicin pre integraciu
A_int = [A zeros(n,m); -C(1:m,:) zeros(m)];
B_int = [B; -D(1:m)];
domcp = -115;
kcp = 2;
cp(1) = domcp;
for ii = 1:n+m-1, cp(ii+1) = kcp*cp(ii); end;
R_int = place(A_int,B_int, cp);
ri = -R_int(:, n+1:n+m);
R = R_int(:,1:n);
disp(['Parametre sptnovzobneho regulatora R: ',num2str(R)]);
disp(['Parametre regulatora s integratorom na vstupe ri: ',num2str(ri)]);
disp(' ');

%% Start simulacie
%DC_start = sim('DC_motor_ss3');


