clc, clear, close all, format compact

%% Eelectric specifications
Ua = 240; %[V] armature voltage
Uf = 300; %[V] field voltage
Ra = 11.2; %[ohm] armature resistance
La = 0.1215; %[H] armature inductance
Rf = 281.3; %[ohm] field reistance
Lf = 156; %[H] field inductance
Laf = 1.976; %[H] mutual inductance

%% Mechanical specifications
J = 0.02215; % [kgm^2] total inertia
Bm = 0.002953; % viscous friction
T.f = 1.5; % coulomb friction
w0 =0; % [rad/s] initial speed
TL = 0; % [Nm] torque load

%% Start simulation
DC_start = sim('DC_motor');

%% Select training data for Forward NN
inputs = [Tf';Tf1';Tf2';Te';Te1';Te2';Ra_ia'; Ra_ia1'; Ra_ia2'; E'; E1'; E2'; ]; %inputs data for NN
targets = [target']; %outputs data for NN

%% Create NN by NFTOOL
nftool

%% Plot training data
%t = tr_data.time;
%tr_data = tr_data.signals(1).values;
%plot(t,tr_data)
%title('Pokrytie pracovnho rozsahu DC motora')
%xlabel('t[s]')
%ylabel('Ua[V]')
%ylim([-260 260])

